false
repository.jboss.org$nexus$content$repositories$releases@org.jboss.as$jboss-as-transactions@7.0.0.Beta3
repository.jboss.org$nexus$content$repositories$releases@org.jboss.as$jboss-as-transactions@7.0.0.Beta3@schema$jboss-txn.xsd
file
f
[]
Start line:
End line:

Snippet Preview

Snippet HTML Code

Stack Overflow Questions

    <!--
      ~ JBoss, Home of Professional Open Source.
      ~ Copyright 2010, Red Hat, Inc., and individual contributors
      ~ as indicated by the @author tags. See the copyright.txt file in the
      ~ distribution for a full listing of individual contributors.
      ~
      ~ This is free software; you can redistribute it and/or modify it
      ~ under the terms of the GNU Lesser General Public License as
      ~ published by the Free Software Foundation; either version 2.1 of
      ~ the License, or (at your option) any later version.
      ~
      ~ This software is distributed in the hope that it will be useful,
      ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
      ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
      ~ Lesser General Public License for more details.
      ~
      ~ You should have received a copy of the GNU Lesser General Public
      ~ License along with this software; if not, write to the Free
      ~ Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
      ~ 02110-1301 USA, or see the FSF site: http://www.fsf.org.
      -->

    <xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
                targetNamespace="urn:jboss:domain:transactions:1.0"
                xmlns="urn:jboss:domain:transactions:1.0"
                elementFormDefault="qualified"
                attributeFormDefault="unqualified"
                version="1.0">

        <!-- The transaction subsystem root element -->
        <xs:element name="subsystem" type="subsystem"/>

        <xs:complexType name="subsystem">
            <xs:annotation>
                <xs:documentation>
                <![CDATA[
                    The configuration of the transactions subsystem.
                ]]>
                </xs:documentation>
            </xs:annotation>
            <xs:all>
                <xs:element name="recovery-environment" type="recovery-environment"/>
                <xs:element name="core-environment" type="core-environment"/>
                <xs:element name="coordinator-environment" type="coordinator-environment" minOccurs="0"/>
                <xs:element name="object-store" type="object-store" minOccurs="0"/>
            </xs:all>
        </xs:complexType>

        <xs:complexType name="recovery-environment">
            <xs:annotation>
                <xs:documentation>
                <![CDATA[
                    The recovery environment configuration.

                    The "socket-binding" attribute is used to reference the correct socket binding to use for the
                    recovery environment.
                    The "status-socket-binding" attribute is used to reference the correct socket binding to use for the
                    transaction status manager.
                ]]>
                </xs:documentation>
            </xs:annotation>
            <xs:attribute name="socket-binding" type="xs:string" />
            <xs:attribute name="status-socket-binding" type="xs:string" />
        </xs:complexType>

        <xs:complexType name="core-environment">
            <xs:annotation>
                <xs:documentation>
                <![CDATA[
                    The core environment configuration.

                    The "socket-binding" attribute is used to reference the correct socket binding to use for the
                    socket process id.
                    The "node-identifier" attribute is used to set the node identifier on the core environment.
                    The "socket-process-id-max-ports" attribute is used to set the max ports on the core environment.
                ]]>
                </xs:documentation>
            </xs:annotation>
            <xs:attribute name="socket-binding" type="xs:string" use="required"/>
            <xs:attribute name="node-identifier" type="xs:string" default="1"/>
            <xs:attribute name="socket-process-id-max-ports" type="xs:int" default="10" />
        </xs:complexType>

        <xs:complexType name="coordinator-environment">
            <xs:annotation>
                <xs:documentation>
                <![CDATA[
                    The coordinator environment configuration.
                ]]>
                </xs:documentation>
            </xs:annotation>
            <xs:attribute name="enable-statistics" type="xs:boolean" default="false"/>
            <xs:attribute name="default-timeout" type="xs:int" default="300" />
        </xs:complexType>

        <xs:complexType name="object-store">
            <xs:annotation>
                <xs:documentation>
                <![CDATA[
                    The object store configuration.

                    The "relative-to" references a global path configuration in the domain model, with the default
                    to the JBoss Application data directory (jboss.server.data.dir).
                    The "path" the directory based on the referenced path.
                ]]>
                </xs:documentation>
            </xs:annotation>
            <xs:attribute name="relative-to" type="xs:string" default="jboss.server.data.dir" />
            <xs:attribute name="path" type="xs:string" default="tx-object-store"/>
        </xs:complexType>

    </xs:schema>

Profile:

New to GrepCode? Check out our FAQ | X